Bug 169583 - CVE-2005-3011 texindex insecure temporary file usage
CVE-2005-3011 texindex insecure temporary file usage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: texinfo (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Ben Levenson
impact=low,source=cve,public=20000209...
: Security
Depends On:
Blocks: 170743 170744 176344
  Show dependency treegraph
 
Reported: 2005-09-29 16:59 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0727
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 05:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-29 16:59:31 EDT
The texindex command uses predictable temporary filenames.  This could allow a
rogue local user to create a symlink which would cause texindex to overwrite
various files the user running texindex has write access to.

There is more informatin in the Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=328365

No patch exists yet.


This issue seems to be mitigated by the fact that texindex will only use a
temporary file when the file being processed is over 50,000 lines.
Comment 1 Josh Bressers 2005-09-29 17:00:24 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 3 Tim Waugh 2005-10-13 13:29:20 EDT
Hmm, not sure which patch to use.  The patch given here:

  http://patches.ubuntu.com/patches/texinfo.CAN-2005-3011.diff

seems to cause an error in my testing.  This short script:

>input.cp
for i in $(seq 1 50001)
do
  echo '\entry{foo}{1}{foo}' >>input.cp
done
texindex input.cp

produces:

/tmp/txidxHECDeb.3: File exists

Continuing investigation.
Comment 4 Tim Waugh 2005-10-13 14:13:57 EDT
Okay, Norbert Preining's texinfo-race-fix.diff is the one to use.
Comment 9 Mark J. Cox (Product Security) 2005-10-26 10:24:39 EDT
I'd like to defer this to a future ASYNC update rather than RHEL4U3.  If we do
this update for RHEL4U3 we also have to do an update for RHEL3U7 and an ASYNC
update for RHEL2.1.
Comment 13 RHEL Product and Program Management 2006-08-18 13:17:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 18 Red Hat Bugzilla 2006-11-08 05:02:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0727.html

Note You need to log in before you can comment on or make changes to this bug.